import React from 'react';
import { Form, Table, Input, Button, Space } from 'antd';
import ProTable, { ProColumns } from '@ant-design/pro-table';
import styles from './log.less';

enum LogActionType {
  Download,
  Delete,
  Upload,
}

const tableColumns: Array<ProColumns<any>> = [
  { dataIndex: 'archName', title: '名称' },
  { dataIndex: 'folderName', title: '所属文件夹', search: false },
  { dataIndex: 'size', title: '大小', search: false },
  {
    dataIndex: 'actionType',
    title: '操作类型',
    search: false,
    valueEnum: {
      [LogActionType.Download]: '下载',
      [LogActionType.Delete]: '删除',
      [LogActionType.Upload]: '上传',
    },
  },
  { dataIndex: 'operator', title: '操作人' },
  { dataIndex: 'operateTime', title: '操作时间', search: false },
  // {
  //   search: false,
  //   render() {
  //     return (
  //       <div>
  //         查看
  //       </div>
  //     )
  //   }
  // },
];

export default function LogView() {
  return (
    <div className={styles.logView}>
      <ProTable
        className={styles.tableWrapper}
        tableClassName={styles.table}
        columns={tableColumns}
        toolBarRender={false}
        pagination={false}
      />
    </div>
  );
}
